ColumnDefinitions (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client

## Class ColumnDefinitions

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.client.ColumnDefinitions

-     public class ColumnDefinitions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnDefinitions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.gwtext.client.widgets.grid.ColumnModel` | `areasColumnModel()`
    `static com.gwtext.client.widgets.grid.ColumnModel` | `availableSpeciesColumnModel()`
    `static com.gwtext.client.widgets.grid.ColumnModel` | `envColumnModel(boolean setEditable)`
    `static com.gwtext.client.widgets.grid.ColumnModel` | `goodCellsColumnModel()`
    `static com.gwtext.client.widgets.grid.ColumnModel` | `selectedSpeciesColumnModel()`
    `static com.gwtext.client.widgets.grid.ColumnModel` | `submittedColumnModel()`
    `static com.gwtext.client.widgets.grid.ColumnModel` | `toCreateObjectsColumnModel(ClientObjectType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnDefinitions

          public ColumnDefinitions()

  - ### Method Detail

    - #### toCreateObjectsColumnModel

          public static com.gwtext.client.widgets.grid.ColumnModel toCreateObjectsColumnModel(ClientObjectType type)

    - #### availableSpeciesColumnModel

          public static com.gwtext.client.widgets.grid.ColumnModel availableSpeciesColumnModel()

    - #### selectedSpeciesColumnModel

          public static com.gwtext.client.widgets.grid.ColumnModel selectedSpeciesColumnModel()

    - #### areasColumnModel

          public static com.gwtext.client.widgets.grid.ColumnModel areasColumnModel()

    - #### envColumnModel

          public static com.gwtext.client.widgets.grid.ColumnModel envColumnModel(boolean setEditable)

    - #### goodCellsColumnModel

          public static com.gwtext.client.widgets.grid.ColumnModel goodCellsColumnModel()

    - #### submittedColumnModel

          public static com.gwtext.client.widgets.grid.ColumnModel submittedColumnModel()

Copyright © 2014. All Rights Reserved.